# Role: blackbox_exporter

## Description

Installs and configures blackbox_exporter for Prometheus.

https://github.com/prometheus/blackbox_exporter

## Usage

Using in a playbook:

```yaml
- name: Play
  hosts:
    - all
  roles:
    - samuliy.ansible.blackbox_exporter
  vars:
    ...
```

### Vars

`blackbox_exporter_web_config`:

Web config. Used for TLS config.

`blackbox_exporter_config`:

Config for the exporter.

`blackbox_exporter_environment_file`:

Environment file for the service.

`blackbox_exporter_environment_args`:

Arguments to set into the environment file.

`blackbox_exporter_environment_args_key`:

Key to look for in the environment file.

`blackbox_exporter_service_name`:

Service name.

`blackbox_exporter_environment`:

List of environment variables to set for the service.

List items contain fields:

- 'key'
- 'value'
